Skip to content
Get started

Lend

Get lending markets
GET/api/v1/markets/lend
Lookup lending market by asset
GET/api/v1/markets/lend/lookup
Get historical lending rates for assets
GET/api/v1/markets/lend/rate-history
ModelsExpand Collapse
LendMarket = object { asset_info, rate, state }

Lending market overview

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

rate: MarketRate { apr, apy, extra }

Lending market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: LendMarketState { extra, principal_sum, receipt_total_supply, redemption_ratio }

Current lending market state

extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string
LendMarketData = object { rate, state }
rate: MarketRate { apr, apy, extra }

Lending market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: LendMarketState { extra, principal_sum, receipt_total_supply, redemption_ratio }

Current lending market state

extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string
LendMarketState = object { extra, principal_sum, receipt_total_supply, redemption_ratio }
extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string